Bug Hunting Session
Bug 94605 - LOOL UX: Cell highlight.
Summary: LOOL UX: Cell highlight.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-29 10:43 UTC by Jan Holesovsky
Modified: 2016-10-25 19:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2015-09-29 10:43:06 UTC
We don't show the active cell, as it originally did not look that important at least on Android.

It is different in the browser where the user expects much more desktop-like behaviour - we should add the marking of the current cell.  Should be painted on the client side, though support from the server will likely be necessary.
Comment 1 Commit Notification 2015-11-05 12:01:23 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2bcaffd12263e8f3c2a2fbf8ccc4b9bba2642146

sc lok: tdf#94605 introduce uno:CellCursor

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-11-05 12:02:34 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/online/commit/?id=09e823e750a98a5cd7d504c4558016f8ce1b935b

loolwsd: tdf#94605 handle LOK_CALLBACK_CELL_CURSOR
Comment 3 Commit Notification 2015-11-05 12:02:38 UTC
Andrzej Hunt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/online/commit/?id=d9d0d47514fef09d0606abcf7dc48b6b977c8987

loleaflet: tdf#94605 Show cell cursor
Comment 4 Jan Holesovsky 2015-11-11 09:48:51 UTC
Fixed now, thank you Andrzej!